## dzl-preferences-spin-button

dzl-preferences-spin-button

## Functions

GtkWidget * | dzl_preferences_spin_button_get_spin_button ()

## Properties

char * | key | Read / Write / Construct Only
char * | subtitle | Read / Write / Construct Only
char * | title | Read / Write / Construct Only

## Signals

void | activate | Run Last

## Types and Values

#define | DZL_TYPE_PREFERENCES_SPIN_BUTTON
| DzlPreferencesSpinButton

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── DzlPreferencesBin
                            ╰── DzlPreferencesSpinButton

## Implemented Interfaces

DzlPreferencesSpinButton implements AtkImplementorIface and GtkBuildable.

## Description

## Functions

### dzl_preferences_spin_button_get_spin_button ()

    GtkWidget *
    dzl_preferences_spin_button_get_spin_button
                                   (DzlPreferencesSpinButton *self);

#### Returns

The actual spin button widget.

[transfer none]

## Types and Values

### DZL_TYPE_PREFERENCES_SPIN_BUTTON

    #define DZL_TYPE_PREFERENCES_SPIN_BUTTON (dzl_preferences_spin_button_get_type())

### DzlPreferencesSpinButton

    typedef struct _DzlPreferencesSpinButton DzlPreferencesSpinButton;

## Property Details

### The `“key”` property

      “key”                      char *

Key.

Owner: DzlPreferencesSpinButton

Flags: Read / Write / Construct Only

Default value: NULL

### The `“subtitle”` property

      “subtitle”                 char *

subtitle.

Owner: DzlPreferencesSpinButton

Flags: Read / Write / Construct Only

Default value: NULL

### The `“title”` property

      “title”                    char *

title.

Owner: DzlPreferencesSpinButton

Flags: Read / Write / Construct Only

Default value: NULL

## Signal Details

### The `“activate”` signal

    void
    user_function (DzlPreferencesSpinButton *dzlpreferencesspinbutton,
                   gpointer                  user_data)

Flags: Run Last